package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.UICDATASectionNode;
import org.w3c.dom.CDATASection;
import org.w3c.dom.Node;

/**
 * @author higa
 *
 */
public class UICDATASectionNodeFactory extends AbstractComponentFactory {

	/**
	 * @param node
	 */
	public UICDATASectionNodeFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		return new UICDATASectionNode((CDATASection) getNode());
	}

}
